<nb-card *ngIf="errors && errors.length > 0">
  <nb-card-header>
    <div class="toggle-btn">
      <button nbButton ghost shape="round" size="small" (click)="toggleShown()">
        <nb-icon icon="eye"></nb-icon>&nbsp;
        <span *ngIf="shown">Hide content</span>
        <span *ngIf="!shown">Show content</span>
      </button>
    </div>
    Errors, warnings and suggestions.
  </nb-card-header>
  <nb-card-body *ngIf="shown">
    <nb-accordion>
      <nb-accordion-item *ngFor="let error of errors" (click)="error.global ? null : selectNode(error.node)">
        <nb-accordion-item-header>
          <span *ngIf="error.severeness == 2"
            ><nb-icon icon="exclamation-circle" status="info" pack="regular"></nb-icon> &nbsp;</span
          >
          <span *ngIf="error.severeness == 1"
            ><nb-icon icon="exclamation-triangle" status="warning" pack="regular"></nb-icon> &nbsp;</span
          >
          <span *ngIf="error.severeness == 0"
            ><nb-icon icon="window-close" status="danger" pack="regular"></nb-icon> &nbsp;</span
          >
          {{ error.name }}
        </nb-accordion-item-header>
        <nb-accordion-item-body>
          <p>{{ error.message }}</p>
          <p>{{ error.description }}</p>
        </nb-accordion-item-body>
      </nb-accordion-item>
    </nb-accordion>
  </nb-card-body>
</nb-card>
